'use strict';

function createImage(url) {
  new Image().src = url;
}

function createElement(selector, url) {
  document.querySelector(selector).style.background = 'url('+url+') no-repeat -9999px -9999px';
}

function jQueryPlugin() {
  jQuery.fn.imgPreload = function() {
    this.each(function() {
      const url = this;
      createImage(url);
    });
  };
}

module.exports = function() {
  const args = Array.prototype.slice.call(arguments);
  for (var i = 0; i < args.length; i++) {
    createImage(args[i]);
  }
}

module.exports.plugins = {
  jquery: jQueryPlugin
};

module.exports.createElement = createElement;
module.exports.createImage = createImage;
